# Uses of Class
org.apache.lucene.util.fst.BytesRefFSTEnum.InputOutput

Packages that use BytesRefFSTEnum.InputOutput
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of BytesRefFSTEnum.InputOutput in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return BytesRefFSTEnum.InputOutput
  Modifier and Type
  Method
  Description
  `BytesRefFSTEnum.InputOutput<T>`
  BytesRefFSTEnum.`current()`
  `BytesRefFSTEnum.InputOutput<T>`
  BytesRefFSTEnum.`next()`
  `BytesRefFSTEnum.InputOutput<T>`
  BytesRefFSTEnum.`seekCeil(BytesRef target)`
  Seeks to smallest term that's >= target.
  `BytesRefFSTEnum.InputOutput<T>`
  BytesRefFSTEnum.`seekExact(BytesRef target)`
  Seeks to exactly this term, returning null if the term doesn't exist.
  `BytesRefFSTEnum.InputOutput<T>`
  BytesRefFSTEnum.`seekFloor(BytesRef target)`
  Seeks to biggest term that's <= target.